<?php

use EventPortal\Domain\Component\Input\SelectOption;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Field\Enums\FieldType;

return [
    'type' => Event::class,
    'label' => 'Event',
    'sections' => [
        [
            'label' => 'Key details',
            'type' => FieldType::Section()->getValue(),
            'children' => [
                [
                    'label' => 'Event name',
                    'type' => FieldType::TextInput()->getValue(),
                ],
                [
                    'label' => 'Url',
                    'type' => FieldType::TextInput()->getValue(),
                ],
                [
                    'label' => 'Event Type',
                    'type' => FieldType::Select()->getValue(),
                    'options' => [
                        SelectOption::make('Single'),
                        SelectOption::make('Seminar'),
                    ],
                ],
                [
                    'label' => 'Registration Type',
                    'type' => FieldType::Select()->getValue(),
                    'options' => [
                        SelectOption::make('Open'),
                        SelectOption::make('Closed'),
                    ],
                ],
                [
                    'label' => 'Capacity',
                    'type' => FieldType::TextInput()->getValue(),
                ],
            ]
        ],
        [
            'label' => 'Your team',
            'type' => FieldType::Section()->getValue(),
            'children' => [
                [
                    'label' => 'Assign a line manager',
                    'name' => 'line_manager_id',
                    'type' => FieldType::Select()->getValue(),
                    'options' => [
                        SelectOption::make('Toby')->value(1),
                        SelectOption::make('Andy')->value(2),
                    ],
                ],
                [
                    'label' => 'Assign a team',
                    'name' => 'team_id',
                    'type' => FieldType::Select()->getValue(),
                    'options' => [
                        SelectOption::make('Team One')->value(1),
                        SelectOption::make('Team Two')->value(2),
                    ],
                ],
                [
                    'label' => 'Assign a meeting co-oordinator',
                    'name' => 'coordinator_id',
                    'type' => FieldType::Select()->getValue(),
                    'options' => [
                        SelectOption::make('Fadhil')->value(1),
                        SelectOption::make('Dan')->value(2),
                    ],
                ],
                [
                    'label' => 'Registration Type',
                    'type' => FieldType::Select()->getValue(),
                    'options' => [
                        SelectOption::make('Open'),
                        SelectOption::make('Closed'),
                    ],
                ],
            ]
        ],
        [
            'label' => 'Contact details',
            'type' => FieldType::Section()->getValue(),
            'children' => [
                [
                    'label' => 'Contact phone',
                    'type' => FieldType::TextInput()->getValue(),
                ],
                [
                    'label' => 'Contact email',
                    'type' => FieldType::TextInput()->getValue(),
                ],
            ]
        ]
    ],
];
