<?php

namespace EventPortal\Domain\Response\Actions;

use EventPortal\Concerns\Respondable;
use EventPortal\Domain\Field\Models\Field;
use EventPortal\Domain\Response\Models\Response;
use Illuminate\Support\Arr;

class RespondToAction
{
    public function execute(Respondable $model, array $data): void
    {
        Field::query()
            ->onlyChildren()
            ->whereIn('name', array_keys($data))
            ->each(function ($field) use ($model, $data): void {
                $value = Arr::get($data, $field->name);

                Response::updateOrCreate(
                    ['field_id' => $field->id],
                    [
                        'field_id' => $field->id,
                        'value' => $value,
                    ]
                );
            });
    }
}
