<?php

namespace EventPortal\Providers;

use EventPortal\Tests\Support\ModelChecker;
use Illuminate\Support\Collection;
use Illuminate\Support\ServiceProvider;
use PHPUnit\Framework\Assert;

class MacroServiceProvider extends ServiceProvider
{
    public function boot(): void
    {
        Collection::macro('assertContainsModel', function ($expected): void {
            Assert::assertTrue(
                ModelChecker::collectionContainsModel($expected, $this),
                'Failed asserting that the collection contains the model'
            );
        });

        Collection::macro('assertNotContainsModel', function ($expected): void {
            Assert::assertFalse(
                ModelChecker::collectionContainsModel($expected, $this),
                'Failed asserting that the collection does not contain the model'
            );
        });
    }

    public function register(): void
    {
    }
}
