<?php

namespace EventPortal\Tests\Unit\Component;

use EventPortal\Domain\Component\Actions;
use EventPortal\Domain\Component\Button;
use EventPortal\Enums\InertiaMethod;
use EventPortal\Tests\TestCase;
use Spatie\Snapshots\MatchesSnapshots;

class ActionsTest extends TestCase
{
    use MatchesSnapshots;

    /** @test **/
    public function can_add_action()
    {
        $actions = Actions::make()
            ->addAction(function () {
                return Button::make('Cancel')->toArray();
            })
            ->toArray();

        $this->assertMatchesJsonSnapshot($actions);
    }

    /** @test **/
    public function can_add_multiple_actions()
    {
        $actions = Actions::make()
            ->addAction(function () {
                return Button::make('Cancel')->toArray();
            })
            ->addAction(function () {
                return Button::make('Update Event')
                    ->method(InertiaMethod::POST())
                    ->route('admin.event.update', ['event' => 1])
                    ->toArray();
            })
            ->toArray();

        $this->assertMatchesJsonSnapshot($actions);
    }
}
