<?php

namespace EventPortal\Tests\Unit\Models;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Enums\Status;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;

class RespondableModelTest extends TestCase
{
    use DatabaseMigrations;

    /** @test **/
    public function can_scope_without_predraft()
    {
        $eventA = factory(Event::class)->state('predraft')->create();
        $eventB = factory(Event::class)->create();

        $events = Event::withoutPredraft()->get();

        $this->assertContainsModel($eventB, $events);
        $this->assertNotContainsModel($eventA, $events);
    }

    /** @test **/
    public function can_set_status()
    {
        $event = factory(Event::class)->state('predraft')->create();

        $this->assertEquals(Status::PREDRAFT(), $event->status);

        $event->setStatus(Status::DRAFT());

        $this->assertEquals(Status::DRAFT(), $event->status);
    }
}
